Cancellation

- « parallel\Future

- parallel\Future::cancelled »

- PHP Manual
- parallel\Future
- Cancellation

# parallel\Future::cancel

(0.9.0)

parallel\Future::cancel — Cancellation

### Description

public parallel\Future::cancel(): bool

Shall try to cancel the task

> Note:

> If task is running, it will be interrupted.

Warning

Internal function calls in progress cannot be interrupted.

### Exceptions

Warning

Shall throw parallel\Future\Error\Killed if parallel\Runtime executing task was killed.

Warning

Shall throw parallel\Future\Error\Cancelled if task was already cancelled.